.TH mapset 5 "12 March 1992"
.\" ================================================================
.\" $Id: mapset.man,v 3.9 1992/03/12 22:36:44 putz Exp $
.\" ================================================================
.SH NAME
mapset, default.mapset \- map profile format for mapbrowser and mapwriter
.SH SYNOPSIS
.B /import/misc/mapbrowser/data/default.mapset
.SH DESCRIPTION
Map profile entry types:
.PP
.nf
\fB#\fI comment
\fB\-mapdir\fI dirName
\fB\-color\fI colorIndex pattern \fBand\fR/\fBor\fI red green blue
\fB\-background\fI colorIndex
\fB\-highlight\fI colorIndex
\fB\-grid colorIndex\fI lineWidth
\fB\-resolution\fI scaleName minAutoRes minRes
\fB\-type\fI typeName
\fB\-feature\fI index colorIndex lineWidth feature_description
\fB\-min_features\fI binaryFeatureMask
\fB\-suppress\fI binaryFeatureMask
\fB\-optional
\fB\-map\fI mapFileName \fR[\fIfeatureOffset\fR]
\fB\-readprofile\fI filename
\fB\-ll_center\fI longitude latitude
\fB\-ll_extent\fI longitude latitude
.fi
.PP
The
.I dirName
defaults to the profile's directory.
The resolution values (in dots/degree) are used to select which set of maps
to use for a given resolution.  A smaller scale set is used when a
resolution of
.I minAutoRes
(if automatic scaling is enabled) or
.I minRes
is exceeded.
.nh
The pattern is one of
.B solid, dotted, dashed, dashdot, dashdotdotted, longdashed.
.hy
.PP
.SH EXAMPLE
.nf
-color  0 solid 	and 0xff 0xff 0xff # white (background)
-color  1 solid 	and 0x00 0x00 0x00 # black (coasts)
-color  2 dashdot	or  0xc0 0x90 0x00 # brown (borders)
-color  3 longdashed	and 0xc0 0xe0 0xff # blue (lakes)
-color  4 dashdotdotted	or  0xff 0x00 0x00 # red (highlight color)
-color  5 solid 	and 0xd0 0xd0 0xd0 # gray (grid)
-background 0
-highlight 4
-grid 5 1
-type coast
-feature  1 1 1 coastlines
-feature  2 3 1 lakes
-min_features 0001
-type borders
-optional
-feature  1 2 1 country boundary
-feature  4 2 1 state boundary
-resolution medium 0 0
-type coast
-map NorthAmerica/cil-medium.map
-map SouthAmerica/cil-medium.map
-type borders
-suppress 0100
-map NorthAmerica/bdy-medium.map
-map NorthAmerica/pby-medium.map +3
-map SouthAmerica/bdy-medium.map
-resolution high 50 20
-type coast
-map NorthAmerica/cil.map
-map SouthAmerica/cil.map
-type borders
-map NorthAmerica/bdy.map
-map NorthAmerica/pby.map +3
-map SouthAmerica/bdy.map
.fi
.SH AUTHOR
Steve Putz:PARC:Xerox
.SH SEE ALSO
mapbrowser(1), mapwriter(1)
